List parlays
curl --request GET \
--url https://api.totalis.trade/v1/rfqs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.totalis.trade/v1/rfqs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.totalis.trade/v1/rfqs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rfqs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "<string>",
"bet_amount": 123,
"implied_probability": 123,
"legs": [
{
"leg_index": 123,
"market_ticker": "<string>",
"event_ticker": "<string>",
"market_title": "<string>",
"event_title": "<string>",
"yes_sub_title": "<string>",
"no_sub_title": "<string>",
"venue_url": "<string>",
"image_url": "<string>",
"expected_expiration_time": "2023-11-07T05:31:56Z",
"current_yes_price": 0.5,
"current_no_price": 0.5
}
],
"quotes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rfq_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_odds": 500.50005,
"user_cost": 123,
"mm_cost": 123,
"total_payout": 123,
"leg_prices": [
{
"leg_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leg_odds": 123
}
],
"valid_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"accepted_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market_maker_id": "<string>",
"position_pda": "<string>",
"position_id": "<string>",
"position_error": "<string>",
"cancellation_reason": "<string>",
"is_failed": true,
"fee_amount": 123,
"settlement": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rfq_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout": 123,
"user_stake": 123,
"mm_risk": 123,
"fee_amount": 123,
"settle_tx": "<string>",
"settled_at": "2023-11-07T05:31:56Z"
},
"settled_at": "2023-11-07T05:31:56Z",
"cashout": {
"realized_pnl": 123,
"amount": 123,
"mm_pays_user": true,
"cashed_out_at": "2023-11-07T05:31:56Z"
},
"create_position_tx": "<string>",
"settle_tx": "<string>",
"cancel_tx": "<string>",
"buyback_tx": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"cursor": "<string>",
"has_more": true,
"limit": 123,
"offset": 123,
"total": 123
}
}Parlays
List Parlays
List your parlays (RFQs) with cursor pagination and optional status filter.
GET
/
v1
/
rfqs
List parlays
Authorizations
PrivyJWTApiKey
Privy JWT issued to the web dashboard. Sent as Authorization: Bearer <jwt>. The Privy session signer underpins all wallet-signed actions.
Query Parameters
Filter by RFQ status. Repeatable values are joined with commas (e.g. ?status=open,quoted,accepted).
Available options:
open, quoted, accepted, confirmed, executed, cancelled, expired, settled, bought_back Include quotes array (otherwise null)
Available options:
quotes Page size.
Required range:
1 <= x <= 100Opaque pagination cursor from a previous response's meta.cursor. Do not construct manually.
Was this page helpful?
⌘I
